org.codehaus.plexus.component.factory

## Interface ComponentFactoryManager

All Known Implementing Classes:
  DefaultComponentFactoryManager

    public interface ComponentFactoryManager

Version:
  $Id: ComponentFactoryManager.java 6975 2007-10-21 08:35:34Z jvanzyl $
Author:
  Jason van Zyl

### Method Summary

Methods
`ComponentFactory` `findComponentFactory(java.lang.String id)`

### Method Detail

#### findComponentFactory

    ComponentFactory findComponentFactory(java.lang.String id)
                                          throws UndefinedComponentFactoryException

Throws:
  `UndefinedComponentFactoryException`